import java.applet.Applet;
import java.awt.*;
import java.awt.event.*;
public class TextAreaTesti1 extends Applet
implements ActionListener,TextListener
{
private TextArea T1,T2;
private Button kopye;
public void init()
{
setBackground(Color.lightGray);
//bos textField
String s="buraya denemek icin\nyazi yazildi\n\t sonrada bu yazi aktarildi";
//not \n satırbaşı kontrol
// \t bir sonraki tab setine git 
T1=new TextArea(s,5,20,TextArea.SCROLLBARS_NONE);
T1.addTextListener(this);
add(T1);
kopye=new Button("Kopye >>>");
kopye.addActionListener(this);
add(kopye);
T2=new TextArea(5,20);
T2.setEditable(false);
add(T2);
}
public void actionPerformed(ActionEvent e)
{
// T1 penceresinden seçilen yazıyı
// kopye düğmesine basıldığında T2 penceresine aktar
T2.setText(T1.getSelectedText());
}
public void textValueChanged(TextEvent e)
{
//Birinci pencereye yeni yazı yazıldığında ikinci pencereye aktar
TextComponent kaynak=(TextComponent)(e.getSource());
T2.setText(kaynak.getText());
}
}
